# Get channel statistics Retrieves synchronization statistics and health state for one or more channels over an optional time period. Request: ids - List of channel IDs to retrieve statistics for. period - Optional time range (from/to timestamps) for period-based metrics. If omitted, all-time totals are returned. Response: stats - List of Stats objects, one per channel, each containing: periodStats - Asset created/updated/deleted counts, error count, and recent errors. channelState - Last sync time, next scheduled scan, and current scan state (ACTIVE, INACTIVE, SYNCING, or ERROR). Endpoint: POST /api/v1/channel/channel-stats Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `ids` (array) - `period` (object) - `period.from` (object) - `period.from.seconds` (integer) - `period.from.nanos` (integer) - `period.to` (object) ## Response 200 fields (application/json): - `stats` (array) - `stats.channelId` (string) Rule data fields - `stats.periodStats` (object) - `stats.periodStats.assetCreatedCount` (integer) - `stats.periodStats.assetUpdatedCount` (integer) - `stats.periodStats.assetDeletedCount` (integer) - `stats.periodStats.errorCount` (integer) - `stats.periodStats.topRecentErrors` (array) - `stats.periodStats.topRecentErrors.description` (string) Rule data fields - `stats.periodStats.topRecentErrors.createdTimestamp` (object) - `stats.periodStats.topRecentErrors.createdTimestamp.seconds` (integer) - `stats.periodStats.topRecentErrors.createdTimestamp.nanos` (integer) - `stats.channelState` (any) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)